//==============================================================================
// DEVICE       = PICC-18
// VERSION      = 1.0
// DATE         = 11.08.2007
// LAST CHANGE  = -
// =============================================================================
// Description:  Delay Routine
// =============================================================================

#include	"delay.h"

/*=====================================================
*DelayUs , max 255us
=====================================================*/
void DelayUs(unsigned char cnt)
{

#ifdef DELAY_48MHZ

	unsigned char x;
	do
	{
		x = 2;
		do
		{	
			asm("nop");
		}while(--x);
	}while(--cnt);

#elif defined(DELAY_24MHZ)
	
	do
	{
		asm("nop");
		asm("nop");
		asm("nop");
	}while(--cnt);

#elif defined(DELAY_20MHZ)
	
	do
	{
		asm("nop");
		asm("nop");
	}while(--cnt);

#elif defined(DELAY_12MHZ)
	
	cnt = cnt >> 1;
	do
	{
		asm("nop");
		asm("nop");
		asm("nop");
	}while(--cnt);

#elif defined(DELAY_8MHZ)

	cnt = cnt >> 2;
	do
	{
		asm("nop");
		asm("nop");
		asm("nop");
		asm("nop");
		asm("nop");
	}while(--cnt);

#elif defined(DELAY_4MHZ)

	cnt = cnt >> 3;
	do
	{
		asm("nop");
		asm("nop");
		asm("nop");
		asm("nop");
		asm("nop");
	}while(--cnt);

#endif

}


/*=====================================================
*DelayMs , max 255ms
=====================================================*/
void DelayMs(unsigned char cnt)
{
	unsigned char	i;
	do
	{
		i = 4;
		do
		{
			DelayUs(250);
		}while(--i);
	}while(--cnt);
}

